%YAML 1.1
---
gfVersion: v1.0
class: workflow

# metadata
name: NCBI geo upload tool workflow
description: Upload a directory of files to NCBI GEO preload folder
documentation_uri: http://url/to/documentation.pdf
repo_uri: 'https://gitlab.cdc.gov/qdy1/ncbi-lftp-geo-upload-tool-workflow.git'
version: '0.1'
username: Elijah K Lowe

final_output:
- upload

# inputs
inputs:
  files:
    label: Input Directory
    description: Input directory containing FASTQ files
    type: Directory
    default: /input/files
    enable: true
    visible: true
  output_dir:
    label: Remote Directory name
    description: Output directory where files will be uploaded
    type: Directory
    default: /input/files
    enable: true
    visible: true

# parameters
parameters:
  ftp_site:
    label: NCBI ftp link
    description: NCBI ftp link
    type: string
    enable: true
    visible: false
    default: ftp-private.ncbi.nlm.nih.gov
  user:
    label: User name for ftp submission
    description: User name for ftp submission
    type: string
    enable: true
    visible: true
    default: geoftp
  password:
    label: Password for ftp submission
    description: Password for ftp submission
    type: string
    enable: true
    visible: true
    default: rebUzyi1
  remote:
    label: directory for submission
    description: directory for submission
    type: string
    enable: true
    visible: true
    default: qdy1_cdc.gov_TfKDdY7s

# steps
steps:
  upload:
    app: apps/ncbi-lftp-geo-upload-tool-gf-0.1/app.yaml
    depend: []
    template:
      local_dir: '{workflow->files}'
      output_dir: '{workflow->output_dir}'
      ftp_site: '{workflow->ftp_site}'
      user: '{workflow->user}'
      password: '{workflow->password}'
      remote: '{workflow->remote}'
      output: upload
...
